Package org.apache.tools.ant.taskdefs.optional

## Class RenameExtensions

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.MatchingTask
      - - org.apache.tools.ant.taskdefs.optional.RenameExtensions

- All Implemented Interfaces:
    `java.lang.Cloneable`, `SelectorContainer`

      @Deprecated
      public class RenameExtensions
      extends MatchingTask

  Deprecated.
  since 1.5.x. Use <move> instead
  Version:
    1.2

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask

      `fileset`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RenameExtensions()` | Deprecated. Creates new RenameExtensions

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` | Deprecated. Executes the task.
    `void` | `setFromExtension​(java.lang.String from)` | Deprecated. The string that files must end in to be renamed
    `void` | `setReplace​(boolean replace)` | Deprecated. store replace attribute - this determines whether the target file should be overwritten if present
    `void` | `setSrcDir​(java.io.File srcDir)` | Deprecated. Set the source dir to find the files to be renamed.
    `void` | `setToExtension​(java.lang.String to)` | Deprecated. The string that renamed files will end with on completion

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

      `add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenameExtensions

          public RenameExtensions()

      Deprecated.
      Creates new RenameExtensions

  - ### Method Detail

    - #### setFromExtension

          public void setFromExtension​(java.lang.String from)

      Deprecated.
      The string that files must end in to be renamed
      Parameters:
        `from` - the extension of files being renamed.

    - #### setToExtension

          public void setToExtension​(java.lang.String to)

      Deprecated.
      The string that renamed files will end with on completion
      Parameters:
        `to` - the extension of the renamed files.

    - #### setReplace

          public void setReplace​(boolean replace)

      Deprecated.
      store replace attribute - this determines whether the target file should be overwritten if present
      Parameters:
        `replace` - if true overwrite any target files that exist.

    - #### setSrcDir

          public void setSrcDir​(java.io.File srcDir)

      Deprecated.
      Set the source dir to find the files to be renamed.
      Parameters:
        `srcDir` - the source directory.

    - #### execute

          public void execute()
                       throws BuildException

      Deprecated.
      Executes the task.
      Overrides:
        `execute` in class `Task`
      Throws:
        `BuildException` - is there is a problem in the task execution.